<!doctype html>
<html xmlns:th="http://www.thymeleaf.org" lang="es">
  	<head>
    	<!-- Required meta tags -->
    	<meta charset="utf-8">
    	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    	<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.0/animate.min.css">
		
		<link rel="stylesheet" href="/css/styles.css">
		<title>Bookstore</title>
		
  	</head>

	<body class="bg-light" onload="loadingAjax('loading');">
		
		<!-- Hay que hacer que ocupetoda la pantalla y no muestre lo demás -->
		<div id="loading">
        	<img id="loading-image" src="http://www.mre.gov.py/SimorePlus/assets/img/cargando.gif" />
    	</div>
	
		<header class="bg-primary border-b py-3">
				<div class="container">
	
					<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
							<a class="navbar-brand m-auto" href="#">
							<img src="/img/logo-bookstore.png" height="48" class="d-inline-block align-top" alt="">			
						</a>
	
						<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
							<span class="navbar-toggler-icon"></span>
						</button>
						
						<div class="collapse navbar-collapse" id="navbarNav">
							<ul class="navbar-nav mr-auto pl-md-5">
								<li class="nav-item">
									<a class="nav-link" th:href="@{/}">Inicio </a>
								</li>
	
								<li class="nav-item active">
									<a class="nav-link" href="#">Carrito</a>
								</li>
								
							</ul>
	
							<ul class="navbar-nav">
								<li class="nav-item">
									<a class="nav-link chekcToken" >Inisiar sesión</a>
								</li>
								<li class="nav-item">
									<a class="nav-link chekcToken" >Registrar</a>
								</li>
	
								<li class="nav-item">
									<a class="nav-link" onclick="logout()" >Cerrar sesión <i class="fas fa-sign-out-alt"></i></a>
								</li>
							</ul>
						</div>					
					</nav>
				</div>			
			</header>	

		<div class="container">			
			<div class="row mt-5">
                
                <div class="col-md-12"> 
					<h5>Carrito de compras</h5>
					<hr>
					
					<form class="my-3">
						<div class="form-row">
							<div class="col-md-12">
								<label class="sr-only" for="buscador">Nombre del producto</label>
								<div class="input-group mb-2">
									<input type="text" class="form-control" id="buscador" placeholder="Nombre del producto">
									<div class="input-group-prepend">
										<div class="input-group-text bg-primary">
											<i class="fas fa-search text-white"></i>
										</div>
									</div>
								</div>
							</div>
						</div>
					</form>

					<div class="table-responsive mb-5">
						<table id="table-products-sales" class="table table-products-sales animated fadeInDown delay-2s" >
							<thead class="table-primary">
								<tr>
									<th scope="col">Libro</th>
									<th scope="col">Descripción</th>
									<th class="text-center" scope="col">Stock</th>									
									<th scope="col">Cantidad</th>
									<th class="text-center" scope="col">Acción</th>              
								</tr>
							</thead>

							<tbody>
								
								
							</tbody>
						</table>
					</div>
					
					<select id="ship" class="form-control asd">
                          <option th:value="CorreoNormal" selected>Correo Normal</option>
                          <option th:value="Expreso" >Expreso</option>
                          <option th:value="Internacional" >Internacional</option>
                          <option th:value="Courier" >Courier</option>
                    </select>
					
					<button type="button" class="btn btn-primary btn-block" onclick="getOrder()"> Confirmar compra </button>
				</div>
                
			</div>			
		</div>
		
				
		<!-- jQuery first, then Popper.js, then Bootstrap JS -->
		<script src="https://code.jquery.com/jquery-3.3.1.min.js"   integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="   crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" 
		integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
		
		<script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>

		<!-- Optional JavaScript -->
		<script src="/js/authService.js" type="text/javascript"></script>
		<script src="/js/bookService.js" type="text/javascript"></script>
		<script src="/js/orderService.js" type="text/javascript"></script>
		<script src="/js/categoryService.js" type="text/javascript"></script>
		<script src="/js/cart.js" type="text/javascript"></script>
		
		<script type="text/javascript">
		function loadingAjax(div_id) {
			
			var divIdHtml = $("#"+div_id).html();
			
			token = sessionStorage.getItem('token')
			if (token != null) {
				
				$.ajax({
					type: "GET",
					url: "http://localhost:8080/api/auth/user",
					headers: {"Authorization": token},
					beforeSend: function() {
						$("#loading-image").show();
			       	},
			       	success: (data) => {
			              //$("#"+div_id).html(divIdHtml + msg);
			       		//console.log(data);
						$("#loading").hide();
						$(".chekcToken").hide();
			       		showCart();
			       	},
			       	error: (err) => {
			       		sessionStorage.removeItem('token')
			       		
			       		window.location.href = "/auth/login";
			   		},
			   		complete: (xhr, status) => {
						console.log("loading complete", status);
			   		}
				});
				
			} else{
				window.location.href = "auth/login";
			}
			
			
		}
		</script>
	
	</body>
</html>